Bug 50879 - sensitive information given on cmd-line
Summary: sensitive information given on cmd-line
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-04 10:39 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 22:29:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-08-04 10:39:09 UTC
[copy of bug #23066]

Although the username should not be secret in most cases, it contains
confidential information at some providers. E.g. the german T-Online builds
the username from the phone-number and a secret, long number (which must be
entered in T-Online's own-application into a veiled password-input field).

So it's not good when giving this username as a cmdline-option to ipppd in
/etc/init.d/isdn, because everybody can see it with `ps'. 

Options can be given to ipppd in a configuration file with '-f...', so the
username can be put there.

Comment 1 Glen Foster 2001-08-06 22:29:43 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Ngo Than 2001-08-09 23:57:22 UTC
It's fixed in initscript-6.14-1


Note You need to log in before you can comment on or make changes to this bug.